Voxli Voxli

Agents

Register local agent

Register/heartbeat a LOCAL agent and return pending work if available.

POST /agents/register

Authorization

HeaderTypeDescription
Authorizationrequired
string
Header with your API key as a Bearer token: Bearer <api-key>. See Authentication.

Body

application/json
PropertyTypeDescription
namerequired
string
Display name for the agent
unique_identifierrequired
string
Unique identifier for the agent

Response

  • 200Successful Response
PropertyTypeDescription
agent_idrequired
string
test_result_ids
string[]

Agents

Update agent